<?php

/*
	Name: Thesis Footer Attribution Box
	Author: wpthesisskins.com
	Version: 1.0
	Description: Thesis Attribution Box has option to add your own copyrights in Thesis Theme 2.0.
	Class: thesis_attribution_box
*/



class thesis_attribution_box extends thesis_box {

	

	protected function translate() {

		$this->title = __('Thesis Footer Attribution Box', 'thesis');

	}

	

	protected function construct() {

		wp_enqueue_style('thesis-attribution-box-style344', THESIS_USER_BOXES_URL . "/thesis-footer-attribution-box/css/style.css");

	}

	

	protected function options() {

		global $thesis;

		return array(

			'copyright' => array(

				'type' => 'textarea',

				'width' => 'long',

				'label' => __('copyright text', 'thesis'),

				'tooltip' => sprintf(__('Paste your copyright text with HTML format', 'thesis')),

				'default' => 'Copyright @2012'

				),

			

			'scheck' => array(

				'type' => 'checkbox',

				'label' => __('Disable Thesis Attribution Box  ', 'thesis'),

				'tooltip' => sprintf(__('Disable Thesis Attribution Box', 'thesis')),

					'options' => array(

						'soption' => __('Disable Thesis Attribution Box', 'thesis'),

						)

				),
				
				);
}				


	public function html() {

		global $thesis;

		// get options


		$options = $thesis->api->get_options($this->options(), $this->options);
		

if(!$options['scheck']){

		?>
		
	<div id="copyright_text" ><?php echo $options['copyright']; ?></div>

	
	<?php }

	}

}?>